FROM node:16.16.0

RUN mkdir -p /var/www/dockerize-nuxt/nuxt-app
WORKDIR /var/www/dockerize-nuxt/nuxt-app
RUN npm install -g npm@8.11.0

COPY package*.json ./
RUN npm install

COPY . .

# RUN npm run build

EXPOSE 3000

#CMD [ "npm", "run" , "start" ]
